/{organizationId}/{mandateId}/crm/groups/bulkDeleteBulk deletes contact groups
Deletes the selected contact groups, their memberships, and their links to contacts.
Required permissions:
mandate.read
contactGroup.remove
Path Parameters
organizationIdstringrequired mandateIdstringrequired Request Body required
Content-Type: application/json
typeIdstring | nulloptional minItems: 1
maxItems: 100
lockedbooleanoptional searchTermstringoptional A stringified json object representing a property filter
Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/groups/bulkDelete' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"selection": {
"excludeIds": [
"string"
],
"ids": [
"string"
]
}
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
deletedCountnumberrequired Response
{
"deletedCount": 1
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}